Submit Individual Information
curl --request POST \
--url https://api.bullring.finance/v1/kyc/customers/{subaccountId}/submit \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'import requests
url = "https://api.bullring.finance/v1/kyc/customers/{subaccountId}/submit"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.bullring.finance/v1/kyc/customers/{subaccountId}/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "incomplete",
"rejection_reasons": [],
"endorsements": [
{
"name": "base",
"status": "incomplete",
"additional_requirements": [
"kyc_approval"
]
},
{
"name": "sepa",
"status": "incomplete",
"additional_requirements": [
"kyc_approval",
"kyc_with_proof_of_address"
]
}
],
"created_at": "2025-12-31T10:37:53.156Z",
"updated_at": "2025-12-31T10:38:25.087Z",
"type": "individual",
"first_name": "Mike",
"middle_name": null,
"last_name": "Bull",
"phone": "+2348012345678",
"address": {
"street_line_1": "9 Karimu Street",
"street_line_2": "",
"city": "Lagos",
"state": "LA",
"postal_code": "105102",
"country": "NGA"
},
"birth_date": "1993-01-24",
"documents": [
{
"purpose": "PROOF_OF_ADDRESS",
"file": "https://res.cloudinary.com/bullring-finance/image/upload/v1763738205/verification/2025-11-21/n0slzbkhxreppmqew4yd.png"
}
],
"account_purpose": "payments_to_friends_or_family_abroad",
"account_purpose_other": null,
"employment_status": "employed",
"expected_monthly_payments_usd": "FROM_5000_TO_9999",
"acting_as_intermediary": false,
"most_recent_occupation": "ACCOUNTANT_AND_AUDITOR",
"source_of_funds": "inheritance",
"identifying_information": [
{
"type": "passport",
"issuing_country": "NGA",
"number": "12345678909",
"image_front": "https://res.cloudinary.com/bullring-finance/image/upload/v1763738198/verification/2025-11-21/t2fgqlxesqigmm0qfvbi.png",
"image_back": "https://res.cloudinary.com/bullring-finance/image/upload/v1763738205/verification/2025-11-21/n0slzbkhxreppmqew4yd.png"
}
]
}{
"statusCode": 400,
"timestamp": "2025-12-31T10:19:59.164Z",
"error": "Error",
"message": "Missing required fields: signed_agreement_id"
}Verification
Submit Individual Information
Submit the customer information for verification.
POST
/
v1
/
kyc
/
customers
/
{subaccountId}
/
submit
Submit Individual Information
Authorizations
Path Parameters
The unique identifier of the subaccount
Body
application/json
The body is of type object.
Response
Submission successful
Show child attributes
Show child attributes
Phone number of the customer. Must be in E.164 format (e.g., +2348012345678)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Fetch from occupation endpoint: /api-reference/verification/get-occupations
Available options:
company_funds, ecommerce_reseller, gambling_proceeds, gifts, government_benefits, inheritance, investments_loans, pension_retirement, salary, sale_of_assets_real_estate, savings, someone_elses_funds Array of identification documents. See Accepted ID Documents by Country for country-specific requirements.
Show child attributes
Show child attributes
⌘I